Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.codegen
Class SwiftCodeGen

    java.lang.Object
      com.stc.swift.codegen.SwiftCodeGen

    public class SwiftCodeGen

extends java.lang.Object

SWIFT codegen implementation.

Version:
  $Revision: 1.19 $

Constructor Summary
`SwiftCodeGen()` Creates new CodeGen

Method Summary
`void` | `generate(com.stc.otd.forest.OtdMetaContainer otd, java.io.File workingDir)` Generate code for OTD.
`boolean` | `isBuildTimeUse()`
`void` | `isBuildTimeUse(boolean f)`
`static void` | `main(java.lang.String[] args)`
`void` | `setClassLoader(java.lang.ClassLoader loader)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwiftCodeGen

    public SwiftCodeGen()

  Creates new CodeGen

Method Detail

### generate

    public void generate(com.stc.otd.forest.OtdMetaContainer otd,
                         java.io.File workingDir)
                  throws com.stc.otd.codegen.OtdCodeGenException,
                         java.io.IOException

  Generate code for OTD.

  Parameters:
    `otd` - OTD meta container for which to generate code
    `workingDir` - Working directory where generated code and package structure should be placed
  Throws:
    `com.stc.otd.codegen.OtdCodeGenException` - if any error occurs that prevents the successful completion of code generation
    `java.io.IOException` - if any error in creating or manipulating a file.

### isBuildTimeUse

    public void isBuildTimeUse(boolean f)

### isBuildTimeUse

    public boolean isBuildTimeUse()

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader loader)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.